Page MenuHomePhabricator

Populate rev_content_model and rev_content_format when saving
Open, NormalPublic

Description

We currently don't populate rev_content_* when saving if they are the default in order to save space, however this prevents changing of the default.

Event Timeline

Legoktm created this task.Jun 26 2015, 10:47 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm claimed this task.

Change 221306 had a related patch set uploaded (by Legoktm):
Always populate rev_content_* fields when saving

https://gerrit.wikimedia.org/r/221306

Legoktm set Security to None.
DannyH triaged this task as Normal priority.Jun 30 2015, 9:03 PM

The complexity of this task has escalated to a schema change RFC: https://www.mediawiki.org/wiki/Requests_for_comment/Content_model_storage

The complexity of this task has escalated to a schema change RFC: https://www.mediawiki.org/wiki/Requests_for_comment/Content_model_storage

The RFC has been approved and implemented:
T105652: RfC: Content model storage

What is the status of this task and https://gerrit.wikimedia.org/r/221306?

The complexity of this task has escalated to a schema change RFC: https://www.mediawiki.org/wiki/Requests_for_comment/Content_model_storage

The RFC has been approved and implemented:
T105652: RfC: Content model storage

What is the status of this task and https://gerrit.wikimedia.org/r/221306?

I don't know. @Legoktm, do you know?

Also, when you say the RFC was implemented, when/where did that happen? I can't find a link to a Gerrit change in the usual places.

Legoktm added a subscriber: daniel.Nov 28 2017, 4:44 AM

Actually it was never implemented, because it was likely to just be extra work that MCR would then change again. And given the amount of progress on MCR so far it seems unlikely to make sense to do this separately. Does that sound right @daniel ?

Change 221306 abandoned by Legoktm:
Always populate rev_content_* fields when saving

Reason:
Obsolete

https://gerrit.wikimedia.org/r/221306